## org.apache.mahout.vectorizer.collocations.llr
Class GramKeyPartitioner

    java.lang.Object
      org.apache.hadoop.mapreduce.Partitioner<GramKey,Gram>
          org.apache.mahout.vectorizer.collocations.llr.GramKeyPartitioner

    public final class GramKeyPartitioner

extends org.apache.hadoop.mapreduce.Partitioner<GramKey,Gram>

Partition GramKeys based on their Gram, ignoring the secondary sort key so that all GramKeys with the same gram are sent to the same partition.

Constructor Summary
`GramKeyPartitioner()`

Method Summary
`int` `getPartition(GramKey key, Gram value, int numPartitions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GramKeyPartitioner

    public GramKeyPartitioner()

Method Detail

### getPartition

    public int getPartition(GramKey key,
                            Gram value,
                            int numPartitions)

  Specified by:
    `getPartition` in class `org.apache.hadoop.mapreduce.Partitioner<GramKey,Gram>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.